summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlice Ferrazzi <alicef@gentoo.org>2021-09-17 23:45:21 +0900
committerAlice Ferrazzi <alicef@gentoo.org>2021-09-17 23:45:46 +0900
commit65759cecc711840bdce4dba979e2e9094706a56b (patch)
treeab2baa9a24b1798b72f6574faee5f57fabcd37b1 /app-benchmarks
parentdev-python/rencode: drop 1.0.6-r1 (diff)
downloadgentoo-65759cecc711840bdce4dba979e2e9094706a56b.tar.gz
gentoo-65759cecc711840bdce4dba979e2e9094706a56b.tar.bz2
gentoo-65759cecc711840bdce4dba979e2e9094706a56b.zip
app-benchmarks/tiobench: bump to v0.5.0
Package-Manager: Portage-3.0.19, Repoman-3.0.3 Signed-off-by: Alice Ferrazzi <alicef@gentoo.org>
Diffstat (limited to 'app-benchmarks')
-rw-r--r--app-benchmarks/tiobench/Manifest1
-rw-r--r--app-benchmarks/tiobench/metadata.xml3
-rw-r--r--app-benchmarks/tiobench/tiobench-0.5.0.ebuild39
3 files changed, 41 insertions, 2 deletions
diff --git a/app-benchmarks/tiobench/Manifest b/app-benchmarks/tiobench/Manifest
index 2321aa9ff08..6daa7daf8e3 100644
--- a/app-benchmarks/tiobench/Manifest
+++ b/app-benchmarks/tiobench/Manifest
@@ -1 +1,2 @@
DIST tiobench-0.4.2.tar.gz 32182 BLAKE2B f3c0f78daac0dc8c38de2049f8edfce7443fb43a6aacf31a0b5c12abf80ec0ae4c03b1bd25f954db261027c16dfb73fdffe970a730a853caf25763579c2e7170 SHA512 02e82d86ee889a366c1a00d4fb49f63d926e44ba6e2f297212479a5c13abe008b62c12d44483de7e971b5ebf875d5c07847f1d69dd11b2e87a050e27d8f9f09f
+DIST tiobench-0.5.0.tar.gz 32897 BLAKE2B 31abe72515b8fe9c846fb8406d47292a8068ab27a6a37d3544a65a84174c6e301e19b95740896e45689ffc2dbb5b12a0927ff5147f98f8b7820bba411957239c SHA512 5e21555b4f76153537eda3e2eb4a22e40b7223870126aee64e78f9ee417b9ba8555f186b46c1e1d71b15c8512970295d57029da4ae0ce438785476ce27d7c0b5
diff --git a/app-benchmarks/tiobench/metadata.xml b/app-benchmarks/tiobench/metadata.xml
index 2dc327a7e02..d8b70044e05 100644
--- a/app-benchmarks/tiobench/metadata.xml
+++ b/app-benchmarks/tiobench/metadata.xml
@@ -6,7 +6,6 @@
<name>Alice Ferrazzi</name>
</maintainer>
<upstream>
- <remote-id type="github">mkuoppal/tiobench</remote-id>
- <remote-id type="sourceforge">tiobench</remote-id>
+ <remote-id type="github">aliceinwire/tiobench</remote-id>
</upstream>
</pkgmetadata>
diff --git a/app-benchmarks/tiobench/tiobench-0.5.0.ebuild b/app-benchmarks/tiobench/tiobench-0.5.0.ebuild
new file mode 100644
index 00000000000..fdccf6c88e2
--- /dev/null
+++ b/app-benchmarks/tiobench/tiobench-0.5.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+DESCRIPTION="Portable, robust, fully-threaded I/O benchmark program"
+HOMEPAGE="https://github.com/aliceinwire/tiobench"
+SRC_URI="https://github.com/aliceinwire/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+IUSE=""
+
+RDEPEND="dev-lang/perl"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+ default
+ sed -i \
+ -e "s:/usr/local/bin:${EPREFIX}/usr/sbin:" tiobench.pl \
+ || die "sed tiobench.pl failed"
+}
+
+src_compile() {
+ emake \
+ CC="$(tc-getCC)" \
+ LINK="$(tc-getCC)" \
+ DEFINES="-DLARGEFILES" \
+ CFLAGS="${CFLAGS}" \
+ LDFLAGS="${LDFLAGS}"
+}
+
+src_install() {
+ dosbin tiotest tiobench.pl scripts/tiosum.pl
+ einstalldocs
+}